Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884664 - Operator install page shows "installing..." instead of going to install status page
Summary: Operator install page shows "installing..." instead of going to install statu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Zac Herman
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 15:36 UTC by Zac Herman
Modified: 2021-02-24 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Install status page immediately appears once user starts operator install Reason: Prior, we waited for the needed resources to load in the background before moving to the install status page however there was no reason to have this delay visually for the user Result: We now immediately show the install status page instead of a message saying "Loading..."
Clone Of:
Environment:
Last Closed: 2021-02-24 15:22:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6801 0 None closed Bug 1884664: Start the install status page as soon as subscription exist 2021-01-07 17:35:47 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:22:55 UTC

Description Zac Herman 2020-10-02 15:36:32 UTC
Description of problem:
After clicking on the Install button for an operator, a temporary "Installing..." message comes up that is neither accurate nor helpful. 

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Choose an operator to install
2. Click on the various install buttons
3. 

Actual results:
Notice a "Installing..." with spinner appears for sometime before the actual install status page shows

Expected results:
Install status page should appear as quickly as possible to both provide better information and give a better user experience

Additional info:

Comment 3 Yanping Zhang 2020-10-12 04:36:15 UTC
Checked on 4.7 cluster with payload: 4.7.0-0.ci-2020-10-11-211311
Install an operator(which will not generate csv/installplan normally), the related subscription is created, and it shows the installation flow modal immediately.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:22:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.